Subject: Re: IANA Registration Of Packages

From: Tom-PT Taylor <[email-masked]>
Date: Fri, 11 Aug 2000 14:51:48 -0500

Responses to some of your comments.

> -----Original Message-----
> From: Christian Groves [mailto:[email-masked]]
> Sent: Thursday, August 10, 2000 8:06 PM
> To: Taylor, Tom-PT [NORSE:B901:EXCH]
> Cc: [email-masked]
> Subject: Re: IANA Registration Of Packages
>
>
> G'Day Tom,
>
> Looks good. Just a couple of comments marked CHG below.
>
> Cheers, Christian
>
> Tom-PT Taylor wrote:
[snip]
> > part by reference).  I have taken two liberties:
> >  -- the private numbering range has been extended a bit to
> round out the
> > hexadecimal representation
> [CHG] OK by me.
[snip]
> >    Packages may also define new Megaco/H.248 error codes. This is a
> >    matter of documentary convenience: the package documentation is
> >    submitted to IANA in support of the error code registration. If a
> >    package is updated, it is unnecessary to provide IANA with a new
> >    document reference in support of the error code unless the
> >    description of the error code itself is modified.
> [CHG] What do you mean document reference? I thought that the package
> that was being registered was the document which described the error
> code?
[PTT] I'll be posting separate procedures for registering error codes.  The
details will be covered there.

> >
> > 2. Relationships Between Packages
> >
> >    A new package may be independent, may extend another
> package, or may
> >    be a new version of a previously registered package.
> [CHG] Perhaps the statement about a new version needs to be
> changed? Its
> not really a 'new' package. Only the new version number would be
> registered with IANA not a new name.
[PTT] Perhaps instead of "A new package ..." I should say "A package
presented for registration ..."
[snip]
> >
> >        c) if the package extends another package, the text
> name and, if
> >           available, serial number of the other package.
> [CHG] The serial number will always be available as its
> mandatory in the
> package description. ie. "if the package extends another package, the
> text name and serial number of the package it extends."
[PTT] The serial number will not be available if the package being extended
is also new (i.e.) part of the same submission.
>
> >
> >        d) a contact name and E-mail and postal addresses for that
> >           contact.  The contact information MUST be updated by the
> >           defining organization as necessary.
> [CHG] How would this work for different organisations? For example in
> the ITU would it be the TSB? In the IETF who would it be if it comes
> through the WG process? Would it be enough to just reference the
> appropriate document number as this won't change but people do?
[PTT] That's up to those organizations to figure out.

> >
> > 3.2 Additional Requirements For Registration Of Private Packages
> >
> >    Private packages MUST have text names of the form
> >          qualifier "_" packageName
> >    where qualifier is unique to the organization or individual
> >    registering the package.  There is no additional
> requirement beyond
> >    this and the requirements stated in the previous section.
> [CHG] How is this qualifier kept unique? Is it up to IANA to police
> this?
[PTT] That would be my thought.  The intent is just to broaden the namespace
in an orderly way.  Note that I haven't said how the qualifier should be
constructed, but if people want to use conventions like those used in JAVA
or SIP, that would be great.
>
> >
> > 3.3 Additional Requirements For Registration Of Public Packages
> >
> >    Public packages MUST satisfy the following requirements
> additional
> >    to those stated in section 3.1:
> >
> >      a) The defining organization MUST supply a reference to a
> >         publicly-available document which describes the
> package.  The
> >         document SHOULD be located on a public web server and SHOULD
> >         have a stable URL.  The documentation MUST remain available
> >         even when a new version of the package is registered. The
> >         organization SHOULD indicate within the document where
> >         comments on that document may be sent.
> [CHG] Public web server? Does a web server that has password
> protection
> count ie. ITU, MSF etc?
> I know the recommendation states this but should we clarify it here?
[PTT] I suppose we should.  I'll add some words on the next pass.
[snip]                                                Glen Freundlich
> >                                                [email-masked]
> >    0x001d an           1      -    - IP 11/00  RFC yyyy
> /H.248 Annex K
> >                                                Glen Freundlich
> >                                                [email-masked]
> [CHG] Is Glen the appropriate reference or should the TSB be
> referenced?
[PTT] I'll leave that up to the ITU-T to decide.  I'm quite willing to be
reference, but of course in principle my formal status as WG chair has
limited duration.